Downgrade from 3.1dev to 3.0.5.4p3

Discussion in 'ISPConfig 3 Priority Support' started by medo, Aug 25, 2014.

  1. medo

    medo New Member HowtoForge Supporter

    Hi,

    I need to downgrade ispconfig from 3.1 svn to stable but the installer does not seem to let me do that, any way to force that ?

    thank you !
     
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    There is no clean way to downgrade as the database structure of 3.1 conatins more tables and is newer then the one of 3.0.5.4p3.

    What you can try is to download the 3.0.5.4p3 tar.gz, unpack it and run the update.php script in the installer manually. But you should do a backup of the ispconfig database and files and also a backup of /etc directory before you try that as it might break your server.
     
  3. medo

    medo New Member HowtoForge Supporter

    Hi,
    I tried this, but this is what I get :
    >> Update

    Operating System: Redhat or compatible, unknown version.

    This application will update ISPConfig 3 on your server.

    Shall the script create a ISPConfig backup in /var/backup/ now? (yes,no) [yes]:

    Creating backup of "/usr/local/ispconfig" directory...
    Creating backup of "/etc" directory...
    Checking ISPConfig database .. OK
    Unable to read server configuration from database.​
    any idea ?
     
  4. till

    till Super Moderator Staff Member ISPConfig Developer

    Id the dbisponfig database there, or did you remove something?
     
  5. medo

    medo New Member HowtoForge Supporter

    I got through it, I don't know why I had a dbispconfig database (not used) and a "test" database that was used.
    I switched back in the config files at the dbispconfig database with ispconfig user, reset the password and all went smoothly.
    Everything seems working now and my downgrade is ok.
    Thanks a lot!
     

Share This Page